Package org.silverpeas.components.infoletter

## Class InfoLetterPeasTrappedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.silverpeas.kernel.SilverpeasException
      - - org.silverpeas.core.exception.SilverpeasException
        - - org.silverpeas.core.exception.SilverpeasTrappedException
          - - org.silverpeas.components.infoletter.InfoLetterPeasTrappedException

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.exception.FromModule`, `org.silverpeas.core.exception.WithNested`

      public class InfoLetterPeasTrappedException
      extends org.silverpeas.core.exception.SilverpeasTrappedException

  Class declaration
  Author:
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.core.exception.SilverpeasException

      `ERROR, FATAL, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InfoLetterPeasTrappedException​(String callingClass, int errorLevel, String message)` |
    `InfoLetterPeasTrappedException​(String callingClass, int errorLevel, String message, Exception nested)` |
    `InfoLetterPeasTrappedException​(String callingClass, int errorLevel, String message, String extraParams)` |
    `InfoLetterPeasTrappedException​(String callingClass, int errorLevel, String message, String extraParams, Exception nested)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getModule()` |

    - ### Methods inherited from class org.silverpeas.core.exception.SilverpeasTrappedException

      `getGoBackPage, setGoBackPage`

    - ### Methods inherited from class org.silverpeas.core.exception.SilverpeasException

      `getChainedExceptions, getErrorLevel, getExtraInfos, getMessageLang, getMessageLang, getNested, printStackTrace, printStackTrace, printStackTrace, traceException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InfoLetterPeasTrappedException

          public InfoLetterPeasTrappedException​(String callingClass,
                                                int errorLevel,
                                                String message)

      Parameters:
        `callingClass` -
        `errorLevel` -
        `message` -

    - #### InfoLetterPeasTrappedException

          public InfoLetterPeasTrappedException​(String callingClass,
                                                int errorLevel,
                                                String message,
                                                String extraParams)

      Parameters:
        `callingClass` -
        `errorLevel` -
        `message` -
        `extraParams` -

    - #### InfoLetterPeasTrappedException

          public InfoLetterPeasTrappedException​(String callingClass,
                                                int errorLevel,
                                                String message,
                                                Exception nested)

      Parameters:
        `callingClass` -
        `errorLevel` -
        `message` -
        `nested` -

    - #### InfoLetterPeasTrappedException

          public InfoLetterPeasTrappedException​(String callingClass,
                                                int errorLevel,
                                                String message,
                                                String extraParams,
                                                Exception nested)

      Parameters:
        `callingClass` -
        `errorLevel` -
        `message` -
        `extraParams` -
        `nested` -

  - ### Method Detail

    - #### getModule

          public String getModule()

      Specified by:
        `getModule` in interface `org.silverpeas.core.exception.FromModule`
      Specified by:
        `getModule` in class `org.silverpeas.core.exception.SilverpeasException`
      Returns: